//**********************************************************************//
//
//	terrain_dp2.shader for Q3 by Sock
//	Website : http://www.planetquake.com/simland/
//
//**********************************************************************//

textures/terrain_dp2/blacksky	// Used for testing boxmaps
{
	qer_editorimage textures/terrain_dp2/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/terrain_dp2/blacksky.tga
	}
}
textures/terrain_dp2/ter_dirtmud
{
        qer_editorimage textures/terrain_dp2/ter_dirtmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/terrain_dp2/ter_dirt1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/terrain_dp2/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/terrain_dp2/ter_mossmud
{
        qer_editorimage textures/terrain_dp2/ter_mossmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/terrain_dp2/ter_moss1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/terrain_dp2/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/terrain_dp2/ter_rockmud
{
        qer_editorimage textures/terrain_dp2/ter_rockmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/terrain_dp2/ter_rock3.tga	// Primary
		rgbGen identity
	}
	{
		map textures/terrain_dp2/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/terrain_dp2/ter_rock2
{
	//q3map_nonplanar
	q3map_shadeangle 170
      qer_editorimage textures/terrain_dp2/ter_rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_dp2/ter_rock2.tga
		blendFunc filter
	}
}
textures/terrain_dp2/bld_rock2moss1		// Normal texture blending
{
        qer_editorimage textures/terrain_dp2/bld_rock2moss1.tga
	
	q3map_nonplanar
	q3map_shadeAngle 120
	
	{
		map textures/terrain_dp2/ter_rock2.tga	// Primary
		rgbGen identity
	}
	{
		map textures/terrain_dp2/ter_moss1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/terrain_dp2/dcl_moss1		// Decal blending
{
        qer_editorimage textures/terrain_dp2/ter_moss1.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	polygonoffset
	//sort 6
	{
		map textures/terrain_dp2/ter_moss1.tga
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}
textures/terrain_dp2/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/terrain_dp2/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/terrain_dp2/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/terrain_dp2/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/terrain_dp2/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/terrain_dp2/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_dp2/phong_tekture
{
 	q3map_nonplanar
 	q3map_shadeangle 160
	q3map_tcMod scale 0.5 0.5
 	qer_editorimage textures/terrain_dp2/ter_rock2_phong.tga
	{
 		map $lightmap
 		rgbGen identity
	}
	{
 		map textures/terrain_dp2/ter_rock2.tga
		blendFunc filter
	}
}

textures/terrain_dp2/kristall
{
	qer_editorimage textures/terrain_dp2/crystal3env.tga

	nopicmip
	q3map_nonplanar
	q3map_shadeAngle 90
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_surfacelight 50
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 6
	{
		depthwrite
		rgbgen identity
		alphagen vertex
		alphafunc ge128
		blendfunc GL_ZERO GL_ONE
		map textures/terrain_dp2/glitteralpha.tga
	}
	{
		tcgen environment
		tcmod scroll 0.003 0.01
		rgbgen identity
		depthfunc equal
		blendfunc add
		map textures/terrain_dp2/crystal3env.tga
	}
}
